#!/usr/bin/python
# qakit - tools for UEQA engineers
# Copyright (C) 2014-2015 Canonical
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.


from argparse import ArgumentParser
import sys

from qakit import (
    lkkb,
    silo,
)


def main():
    """The main program entry point."""
    parser = ArgumentParser(
        description="Get stats for various UEQA activities.",
    )
    subparsers = parser.add_subparsers(help="Commands", dest="command")
    silo.add_parsers(subparsers)
    subparsers.add_parser("project-backlog", help="Show project backlog")
    args = parser.parse_args()
    if args.command in ['silo-backlog',
                        'silo-stats',
                        'silo-actions']:
        silo.main(args)
    elif args.command == 'project-backlog':
        lkkb.project_backlog()


if __name__ == "__main__":
    sys.exit(main())
