# qakit - tools for UEQA engineers
# Copyright (C) 2014-2015 Canonical
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.


import sys
from setuptools import setup, find_packages
import qakit

setup(
    name='qakit',
    version=qakit.__version__,
    description="Tools for the UES QA dept.",
    packages=find_packages(),
    author="Thomi Richards",
    author_email="thomi.richards@canonical.com",
    # FIXME: deprecating until deps resolved [alesage 2015-06-04]
    # test_suite='qakit.tests.test_suite',
    tests_require=['testtools'],
    install_requires=[
        # FIXME: either package these or move aside [alesage 2015-06-04]
        # 'bleach',
        # 'prettytable',
        'python-dateutil',
        'requests',
        # 'termcolor',
        # 'trello',
    ],
    entry_points={
        'console_scripts': [
            # FIXME: deprecating until deps resolved [alesage 2015-06-04]
            # 'qakit = qakit.commands:main',
            ('subunit-practitest-export = '
             'qakit.practitest.report_subunit_results_to_practitest:main'),
            ('practitest-checkbox-export = '
             'qakit.practitest.export_checkbox_practitest:main'),
        ]
    }
)
